org.springframework.jms.core

## Interface BrowserCallback<T>

    public interface BrowserCallback<T>

Callback for browsing the messages in a JMS queue.

To be used with JmsTemplate's callback methods that take a BrowserCallback argument, often implemented as an anonymous inner class.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `JmsTemplate.browse(BrowserCallback)`, `JmsTemplate.browseSelected(String, BrowserCallback)`

### Method Summary

Methods
`T` `doInJms(Session session, QueueBrowser browser)` Perform operations on the given `Session` and `QueueBrowser`.

### Method Detail

#### doInJms

    T doInJms(Session session,
            QueueBrowser browser)
              throws JMSException

Perform operations on the given `Session` and `QueueBrowser`.

The message producer is not associated with any destination.

Parameters:
  `session` - the JMS `Session` object to use
  `browser` - the JMS `QueueBrowser` object to use
Returns:
  a result object from working with the `Session`, if any (can be `null`)
Throws:
  `JMSException` - if thrown by JMS API methods